# YTDL Web

## Usage

```sh
ytdl-web [OPTIONS]
```

Available options:

- -b, --base-path string the base path, used when behind reverse proxy
- --config string config file (default is $XDG_CONFIG_HOME/ytdl-web/config.yml)
- -h, --help help for ytdl-web
- -l, --listen string address to listen on (default "127.0.0.1")
- -p, --port int port to listen on (default 8080)
- -y, --ytdlp-path string the path to the yt-dlp binary, used when it is not in $PATH (default "yt-dlp")

## Building from source

Prerequisites:

- [go v1.20](https://go.dev/doc/install)
- [task cli](https://taskfile.dev/installation/)

Steps:

1. Download dependencies

```sh
task deps
```

2. Build binary

```sh
task build
```

## Releasing

Prerequisites:

- [go v1.20](https://go.dev/doc/install)
- [goreleaser](https://goreleaser.com/install/)
- [task cli](https://taskfile.dev/installation/)

Steps:

1. Ensure gitea access token is in `~/.config/goreleaser/gitea_token`

2. Run release task

```sh
task release
```

## Publishing Chart

Prerequisites:

- [helm cli](https://helm.sh/docs/intro/install/)
- [cm-push helm plugin](https://github.com/chartmuseum/helm-push/).
- [task cli](https://taskfile.dev/installation/)

Steps:

1. Add the helm repo

```sh
helm repo add --username {username} --password {password} gitea-apps https://git.fifitido.net/api/packages/apps/helm
```

2. Publish the chart

```sh
task publish-chart
```

## Contributing

Please read [CONTRIBUTING.md](./CONTRIBUTING.md) for details on our code of conduct, and the process for submitting pull requests to us.

## Versioning

We use [Semantic Versioning](http://semver.org/) for versioning. For the versions available, see the [tags on this repository](https://git.fifitido.net/apps/ytdl-web/tags).

## Authors

- Evan Fiordeliso - _Initial project work_ - [efiordeliso](https://git.fifitido.net/efiordeliso)
- Billie Thompson - _Provided README Template_ - [PurpleBooth](https://github.com/PurpleBooth)

## License

The project is licensed under the [GPL v3](./LICENSE.md) License - see the [LICENSE.md](./LICENSE.md) file for details.
